Free Financial Market API News Detail API Documentation Financial News & Market Data API Financial Market News API REST API Query news detail by news ID, returning title, publish time, original link, description, content, tags, and market information
Please select
Query News Detail Information
GET
/news/{id}
Request Parameters
idstring
News ID, from the id returned by the news list API
langenumRequired
中文繁体
News language
Response Parameters
codenumber
Response code
msgstring
Response description
dataarray(object)
Response result
idstring
News ID
testring
Title
ptstring
Publish time, Unix timestamp
mtstring
Market type
lgstring
Language
lkstring
Original article link
sdstring
Description
cdstring
Content
tgarray(string)
Tags
mtsarray(string)
Markets
Code Examples
import requests
url = "https://api.itick.org/news/3f5e9889-5c8a-335f-b8b4-faaaf741e967?lang=hk"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)
Query URL
GET
https://api.itick.org/news/{id}?code=HK
Response Result
{
"code": 0,
"msg": "ok",
"data": {
"id": "3f5e9889-5c8a-335f-b8b4-faaaf741e967",
"te": "兗礦能源(600188.SH):已回購196.52萬股公司A股股份",
"pt": 1782984297,
"lg": "hk",
"lk": "https://www.gelonghui.com/news/5261924",
"sd": "格隆匯7月2日丨兗礦能源SSE:600188公佈,2026年6月5日,公司通過集中競價交易方式回購公司A股股份196.52萬股,支付的資金總額為人民幣5092.53萬元(不含交易費用)。",
"cd": "格隆匯7月2日丨兗礦能源SSE:600188公佈,2026年6月5日,公司通過集中競價交易方式回購公司A股股份196.52萬股,支付的資金總額為人民幣5092.53萬元(不含交易費用)。",
"tg": [
"Chinese stocks",
"Gelonghui"
],
"mts": [
"stock"
]
}
}- Real-time News
Query the real-time news under a specified market and language, returning title, publish time, original link, and provider
- Websocket APICrypto Quotes
Provides streaming access to the latest data of major global cryptocurrencies, pushing tick transactions, K-line updates, order book depth, and aggregated quotes for mainstream cryptocurrencies such as Bitcoin and Ethereum in real-time. Supports multi-exchange quote aggregation with millisecond-level low-latency delivery.